﻿.ezdatagrid2 {
	display: grid;
	grid-auto-rows: auto 1fr auto;
	grid-template-columns: var(--ezdatagrid2-columns);
	height: 100%;
	overflow: auto;
	font-size: 0.875rem;
}

.ezdatagrid2-row {
	display: grid;
	grid-column: 1 / -1;
	grid-template-columns: subgrid;
}

	.ezdatagrid2-row.body {
		grid-auto-rows: auto;
		align-content: start;
		scrollbar-gutter: stable;
		overflow-y: auto;
		min-height: 0;
	}

.ezdatgrid2-header-cell {
	--ezdatagrid2-header-cell-padding: 0.125em 0.25em;
	padding: var(--ezdatagrid2-header-cell-padding)
}

.ezdatgrid2-cell {
	--ezdatagrid2-cell-padding: 0.125em 0.25em;
	padding: var(--ezdatagrid2-cell-padding)
}